Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.daemon.forwarding
Class ForwardingServer

    java.lang.Object
      com.sshtools.daemon.forwarding.ForwardingServer

All Implemented Interfaces:
  ChannelFactory, GlobalRequestHandler

public class ForwardingServer
extends java.lang.Object
implements ChannelFactory, GlobalRequestHandler

DOCUMENT ME!

Constructor Summary
`ForwardingServer(ConnectionProtocol connection)` Creates a new ForwardingServer object.

Method Summary
`protected void` | `addRemoteForwardingConfiguration(java.lang.String addressToBind, int portToBind)` DOCUMENT ME!
`Channel` | `createChannel(java.lang.String channelType, byte[] requestData)`
`protected ForwardingConfiguration` | `getLocalForwardingByAddress(java.lang.String orginatingAddress, int originatingPort)` DOCUMENT ME!
`protected ForwardingConfiguration` | `getRemoteForwardingByAddress(java.lang.String addressToBind, int portToBind)` DOCUMENT ME!
`GlobalRequestResponse` | `processGlobalRequest(java.lang.String requestName, byte[] requestData)` DOCUMENT ME!
`protected void` | `removeRemoteForwarding(java.lang.String addressToBind, int portToBind)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardingServer

    public ForwardingServer(ConnectionProtocol connection)
                     throws java.io.IOException

  Creates a new ForwardingServer object.

Parameters:
  `connection` - DOCUMENT ME!
Throws:
  `java.io.IOException` - DOCUMENT ME!

Method Detail

### createChannel

    public Channel createChannel(java.lang.String channelType,
                                 byte[] requestData)
                          throws InvalidChannelException

  Specified by:
    `createChannel` in interface `ChannelFactory`
  Throws:
    `InvalidChannelException`

### processGlobalRequest

    public GlobalRequestResponse processGlobalRequest(java.lang.String requestName,
                                                      byte[] requestData)

  DOCUMENT ME!

  Specified by:
    `processGlobalRequest` in interface `GlobalRequestHandler`
  Parameters:
    `requestName` - DOCUMENT ME!
    `requestData` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getLocalForwardingByAddress

    protected ForwardingConfiguration getLocalForwardingByAddress(java.lang.String orginatingAddress,
                                                                  int originatingPort)
                                                           throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `orginatingAddress` - DOCUMENT ME!
    `originatingPort` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### getRemoteForwardingByAddress

    protected ForwardingConfiguration getRemoteForwardingByAddress(java.lang.String addressToBind,
                                                                   int portToBind)
                                                            throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `addressToBind` - DOCUMENT ME!
    `portToBind` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### addRemoteForwardingConfiguration

    protected void addRemoteForwardingConfiguration(java.lang.String addressToBind,
                                                    int portToBind)
                                             throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `addressToBind` - DOCUMENT ME!
    `portToBind` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

### removeRemoteForwarding

    protected void removeRemoteForwarding(java.lang.String addressToBind,
                                          int portToBind)
                                   throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `addressToBind` - DOCUMENT ME!
    `portToBind` - DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD